Package org.openoffice.da.comp.writer2xhtml

# Class W2XRegistration

java.lang.Object
org.openoffice.da.comp.writer2xhtml.W2XRegistration

public class W2XRegistration extends Object
This class provides a static method to instantiate our uno components on demand (__getServiceFactory()), and a static method to give information about the components (__writeRegistryServiceInfo()). Furthermore, it saves the XMultiServiceFactory provided to the __getServiceFactory method for future reference by the componentes.

## Field Summary

Fields
Modifier and Type
Field
Description
`static com.sun.star.lang.XMultiServiceFactory`
`xMultiServiceFactory`

## Constructor Summary

Constructors
Constructor
Description
`W2XRegistration()`

## Method Summary

Modifier and Type
Method
Description
`static com.sun.star.lang.XSingleServiceFactory`
`__getServiceFactory(String implName, com.sun.star.lang.XMultiServiceFactory multiFactory, com.sun.star.registry.XRegistryKey regKey)`
Returns a factory for creating the service.
`static boolean`
`__writeRegistryServiceInfo(com.sun.star.registry.XRegistryKey regKey)`
Writes the service information into the given registry key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### xMultiServiceFactory

public static com.sun.star.lang.XMultiServiceFactory xMultiServiceFactory

## Constructor Details

### W2XRegistration

public W2XRegistration()

## Method Details

### __getServiceFactory

public static com.sun.star.lang.XSingleServiceFactory __getServiceFactory(String implName, com.sun.star.lang.XMultiServiceFactory multiFactory, com.sun.star.registry.XRegistryKey regKey)
Returns a factory for creating the service. This method is called by the `JavaLoader`

Parameters:
  `implName` - the name of the implementation for which a service is desired
  `multiFactory` - the service manager to be used if needed
  `regKey` - the registryKey
Returns:
  returns a `XSingleServiceFactory` for creating the component
See Also:
  - `JavaLoader`

### __writeRegistryServiceInfo

public static boolean __writeRegistryServiceInfo(com.sun.star.registry.XRegistryKey regKey)
Writes the service information into the given registry key. This method is called by the `JavaLoader`

Parameters:
  `regKey` - the registryKey
Returns:
  returns true if the operation succeeded
See Also:
  - `JavaLoader`